module.exports = {
  create: {
    requestBody: ['user_id', 'account', 'name', '_tenant', 'opera', 'path', 'module'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['user_id', 'account', 'name', '_tenant', 'opera', 'path', 'module'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        user_id: 'user_id',
        account: 'account',
        name: 'name',
        _tenant: '_tenant',
        opera: 'opera',
        path: 'path',
        module: 'module',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
