'use strict';
// 路由配置
const routes = [
  { method: 'get', path: '/logs', controller: 'logs.index', name: 'logsQuery', zh: '日志列表查询' },
  { method: 'get', path: '/logs/:id', controller: 'logs.show', name: 'logsShow', zh: '日志查询' },
  { method: 'post', path: '/logs', controller: 'logs.create', name: 'logsCreate', zh: '创建日志' },
  // { method: 'post', path: '/logs/:id', controller: 'logs.update', middleware: [ 'password' ], name: 'logsQuery', zh: '修改用户' },
  // { method: 'delete', path: '/logs/:id', controller: 'logs.destroy', name: 'logsQuery', zh: '删除用户' },
];

module.exports = app => {
  const { router, config } = app;
  const mwares = app.middleware;
  for (const route of routes) {
    const { method, path, controller: ctl, zh } = route;
    let { middleware = [] } = route;
    if (!method || !path || !ctl) continue;
    // 拼全路径
    const allPath = `${config.routePrefix}${path}`;
    // 处理中间件
    if (middleware.length > 0) middleware = middleware.map(i => mwares[i]());
    // 注册路由
    router[method](zh, allPath, ...middleware, ctl);
  }
};
